const app = getApp()
import {
	Base
} from '../../../utils/base.js';
const base = new Base();
const util = require('../../../utils/util');

Page({

	/**
	 * 页面的初始数据
	 */
	data: {
		coach_id: '',
		class_id: '',
		lesson_id: '',
		classTime: '', // 上课时间
		showView: true,
		list: [],
		locked: false,
		
		isMoment: true, // 课程瞬间是否能点击
		curTime: '', // 当前时间

		isrefresh: false
	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad: function (options) {
		this.setData({
			coach_id : app.globalData.coach_id,
			class_id: options.class_id,
			lesson_id: options.lesson_id,
			courseTime: options.classTime,
			classTime: options.classTime.split(' ')[1], // 上课时间
		})
		this.getDate()
		this.getDetail()
	},
	onShow() {
		this.setData({
			isrefresh: this.data.isrefresh? this.data.isrefresh : false
		})
		if (this.data.isrefresh) {
			this.getDetail()
			this.setData({
				isrefresh: false
			})
		}
	},
	getDate() {
		let curTime = new Date().getTime()
		let str = this.data.courseTime.split(' ')[0] + ' ' + this.data.courseTime.split('～')[1]
		let courseTime = new Date(str).getTime()
		if (curTime > courseTime) {
			this.setData({
				isMoment: true
			})
		} else {
			this.setData({
				isMoment: false
			})
		}
	},
	getDetail() {
		let params = {
			url: 'coach/manage_lesson',
			data: {
				coach_id: this.data.coach_id,
				class_id: this.data.class_id,
				lesson_id: this.data.lesson_id
			},
			callback:(data)=>{
				this.setData({
					list: data,
					locked: false
				})
				console.log(data)
			}
		}
		base.newRequest(params)
	},
	showButton: function (e) {
		let time = this.data.courseTime.split('～')[0]
		var new_date = new Date().getTime()/1000; //新建一个日期对象，默认现在的时间
		var old_date = new Date(time).getTime()/1000; //设置过去的一个时间点，"yyyy-MM-dd HH:mm:ss"格式化日期
		var difftime = old_date - new_date; //上课时间与现在时间的时间差
		if (difftime < 1800) {
			let child_id = e.currentTarget.dataset.id
			let params = {
				url: 'coach/sign',
				data: {
					coach_id: this.data.coach_id,
					lesson_id: this.data.lesson_id,
					child_id: child_id
				},
				callback:(data)=>{
					base.toast('签到成功')
					this.setData({
						list: []
					})
					this.getDetail()
				},
			}
			base.newRequest(params)
		} else {
			base.toast('请于开课前30分钟内签到')
		}
	},
	gocourseInstant: function () {
		if (this.data.isMoment) {
			wx.navigateTo({
				url: '/pages/index/courseInstant/courseInstant?lesson_id=' + this.data.lesson_id,
			})
		} else {
			base.toast('请开课后上传课程瞬间')
		}
	},
	goSport: function (e) {
		let child_id = e.currentTarget.dataset.child_id
		let class_id = e.currentTarget.dataset.class_id
		let class_single_id = e.currentTarget.dataset.class_single_id
		let course_id = e.currentTarget.dataset.course_id
		wx.navigateTo({
			url: '/pages/index/evaluation/evaluation?child_id=' + child_id + '&class_id=' + class_id + '&class_single_id=' + class_single_id + '&course_id=' + course_id,
		})
	},
	courseEnd : function (){
		let params = {
			url : 'coach/end_lesson',
			data : {
				coach_id : app.globalData.coach_id,
				lesson_id : this.data.lesson_id
			},
			callback : (data) => {
				base.toast('课程完结')
				app.globalData.classRush = true
				wx.switchTab({
				  url: '/pages/tabbar/index/index',
				})
			}
		}
		base.newRequest(params)
	},
	onPullDownRefresh() {
		this.setData({
			list: [],
			locked: false,
		})
		if (!this.data.locked) {
			this.setData({
				locked: true
			})
			this.getDetail()
		}
		wx.stopPullDownRefresh()
	}
})