const app = getApp()
import {
    Base
} from '../../../utils/base.js';
const base = new Base()
import * as echarts from '../../../ec-canvas/echarts.min.js';
let chartLine;
Page({
    data: {
        windowWidth: '',
        windowHeight: '',
        coach: '',
        scoreList: [],
        coachcomment: '',
        awardList: [],
        class_id: '',
        lesson_id: '',
        child_id: '',
        class_single_id: '',
        ec: {
            lazyLoad: true // 延迟加载
        },

    },
    onLoad: function (options) {
        this.setData({
            coach_id: app.globalData.coach_id,
            class_id: options.class_id,
            lesson_id: options.lesson_id,
            child_id: options.child_id,
            class_single_id: options.class_single_id
        })
        this.getcomment()
        this.getbadges()
    },
    getcomment: function () {
        let params = {
            url: 'coach/comment',
            data: {
                coach_id: this.data.coach_id,
                class_id: this.data.class_id,
                lesson_id: this.data.lesson_id,
                child_id: this.data.child_id,
            },
            callback: (data) => {
                this.setData({
                    coach: data.coach,
                    coachcomment: data,
                    scoreList: data.comment_score,
                })
                if (this.data.scoreList.length > 0) {
                    var arrs = [];
                    var newArrs = [];
                    for (var i = 0; i < this.data.scoreList.length; i++) {
                        let option = {
                            name: this.data.scoreList[i].comment_norm.name + ' ' + this.data.scoreList[i].score,
                            max: 100
                        }
                        arrs.push(option)
                        newArrs.push(this.data.scoreList[i].score)
                    }
                    this.initCharts(arrs, newArrs)
                }

            },
        }
        base.newRequest(params)
    },
    initCharts(arrs, newArrs) {
        var that = this
        const getPixelRatio = () => {
            let pixelRatio = 0
            wx.getSystemInfo({
                success: function (res) {
                    pixelRatio = res.pixelRatio
                },
                fail: function () {
                    pixelRatio = 0
                }
            })
            return pixelRatio
        }
        that.selectComponent('#mychart').init((canvas, width, height) => {
            var chart = echarts.init(canvas, null, {
                width: width,
                height: height,
                devicePixelRatio: getPixelRatio()
            });
            chart.setOption(that.getOption(arrs, newArrs));
            return chart;
        })
    },
    getOption(xData, data_cur) {
        var option = {
            backgroundColor: "#ffffff",
            color: ["#00E2BB"],
            xAxis: {
                show: false
            },
            yAxis: {
                show: false
            },
            radar: {
                radius: 94,
                center: ['50%', '50%'],
                shape: 'circle',
                splitNumber: 4, // 分割段数
                indicator: xData, // 数据
                textStyle: {
                    borderColor: '#00E2BB',
                    borderWidth: 2
                },
                name: { // 文本样式
                    textStyle: {
                        color: '#1A1A1A',
                        fontSize: 12
                    }
                },
                axisLine: { //配置雷达图的射线样式颜色
                    lineStyle: {
                        color: '#E0E0E0',
                        width: 1
                    },
                },
                splitLine: { // 分割线样式
                    lineStyle: {
                        color: '#E0E0E0',
                        width: 1,
                        type: 'dashed'
                    },
                },
                splitArea: { // 分割区域样式
                    areaStyle: {
                        color: ['#fff']
                    }
                },
            },
            series: [{
                type: 'radar',
                data: [{
                    value: data_cur
                }],
                itemStyle: { //此属性的颜色和下面areaStyle属性的颜色都设置成相同色即可实现
                    color: '#00E2BB',
                    borderColor: '#00E2BB'
                },
                lineStyle: { // 线条样式
                    width: 2
                },
                symbol: 'circle', // 拐点的样式，还可以取值'rect','angle'等
                symbolSize: 4, // 拐点的大小
                areaStyle: { // 覆盖区域颜色
                    color: {
                        type: 'linear',
                        x: 0,
                        y: 0,
                        x2: 0,
                        y2: 1,
                        colorStops: [{
                                offset: 0,
                                color: '#00E24A'
                            },
                            {
                                offset: 1,
                                color: '#00E3BC' // 100% 处的颜色
                            }
                        ]
                    }
                },

            }]
        };
        return option
    },
    getbadges: function () {
        let params = {
            url: 'badges',
            data: {
                user_child_id: this.data.child_id,
                class_id: this.data.class_id,
                class_single_id: this.data.class_single_id,
            },
            callback: (data) => {
                this.setData({
                    awardList: data.has
                })
            }
        }
        base.newRequest(params)
    }
})